/**
 * @author  Ikaros Kappler
 * @date    2017-02-26
 * @version 1.0.0
 **/

(function($) {

    function init() {
	
	var $container = $('#i2banim-container');

	var matrix = [
	    [ 0, 1, 1, 0, 0, 0, 0, 0 ], // 0 
	    [ 0, 0, 1, 0, 0, 0, 0, 0 ], // 1
	    [ 0, 0, 1, 0, 0, 0, 1, 0 ], // 2
	    [ 0, 0, 1, 0, 1, 1, 0, 0 ], // 3
	    [ 0, 1, 1, 1, 0, 0, 0, 0 ], // 4
	    [ 1, 0, 1, 0, 1, 1, 1, 0 ], // 5
	    [ 0, 0, 1, 1, 0, 0, 0, 1 ], // 6
	    [ 0, 0, 1, 0, 0, 0, 0, 1 ], // 7
	    [ 0, 0, 1, 0, 0, 0, 0, 1 ], // 8
	    [ 0, 0, 1, 0, 0, 0, 0, 1 ], // 9
	    [ 0, 0, 1, 1, 0, 0, 0, 1 ], // 10
	    [ 0, 1, 1, 0, 1, 1, 1, 0 ]  // 11
	];

	var $pixel_template = $('svg#i2ba_pixel_template');

	var $px = null;
	for( var r = 0; r < matrix.length; r++ ) {
	    var $row = $( '<div/>' ).addClass('i2ba_row');
	    for( var c = 0; c < matrix[r].length; c++ ) {
		console.debug( 'x' );
		$px = $('<div/>', { id : 'i2ba_'+r+'_'+c } ).addClass('i2ba_pixel').removeClass('no-display');
		if( matrix[r][c] == 1 ) {
		    $px.addClass('i2ba_pixel_black');
		    $px.append( $pixel_template.clone().attr('id','i2ba_pixel_'+(r*c+c)) );
		}
		console.debug( $px );
		$row.append( $px );
		TweenMax.set( $px, { transformOrigin : '50% 50%', scale : 1, rotation : 0 } );
	    }
	    $container.append( $row );
	    //$container.append( $('<br/>') );
	}

	var timeline = new TimelineMax();
	var pixels = $( '.i2ba_pixel' );
	timeline
	    .staggerFrom( pixels, 0.5, { autoAlpha : 0, delay : Math.random()*1.0, scale : 0, rotation : 90 }, 0.01, '+=0.0' )
	    .from( 'img#icon_blank_final', 0.5, { autoAlpha : 0 }, '+=1.0' )
	;
	TweenMax.set( 'img#icon_blank_final', { autoAlpha : 0 } );
	for( var i in pixels ) {
	    //TweenMax.from( pixels[i], 0.5, { autoAlpha : 0, delay : Math.random()*1.0 } );
	}

	/*
	pixels.mouseOver( function(e) {
	    //var path = $(e.target).find('
	    TweenMax
		.set( $(e.target).attr('id'), { autoAlpha : 0 } );
	} );
	*/
    } // END init

    $(document).ready( init );
    
})($);
